Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.deployment.jboss
Class ObjectDeploymentFactory

    java.lang.Object
      org.jboss.portal.server.deployment.jboss.AbstractDeploymentFactory
          org.jboss.portal.core.deployment.jboss.ObjectDeploymentFactory

All Implemented Interfaces:
  org.jboss.portal.common.net.URLFilter, DeploymentFactory

    public class ObjectDeploymentFactory

extends AbstractDeploymentFactory

Version:
  $Revision: 11492 $
Author:
  Julien Viet, Boleslaw Dawidowicz

Field Summary
`protected ContentProviderRegistry` | `contentProviderRegistry` .
`protected CoordinationConfigurator` | `coordinationConfigurator` .
`protected PortalObjectContainer` | `portalObjectContainer` .
`protected org.xml.sax.EntityResolver` | `portalObjectEntityResolver` .
`protected java.net.URL` | `setupURL` .
`protected static java.util.regex.Pattern` | `URL_PATTERN`

Fields inherited from class org.jboss.portal.server.deployment.jboss.AbstractDeploymentFactory
`deployer, log, name, registrationControlledByService, setupLocation`

Constructor Summary
`ObjectDeploymentFactory()`

Method Summary
`boolean` | `acceptFile(java.net.URL url)`
`ContentProviderRegistry` | `getContentProviderRegistry()`
`CoordinationConfigurator` | `getCoordinationConfigurator()`
`PortalObjectContainer` | `getPortalObjectContainer()`
`org.xml.sax.EntityResolver` | `getPortalObjectEntityResolver()`
`Deployment` | `newInstance(java.net.URL url, PortalWebApp pwa, javax.management.MBeanServer mbeanServer)` Create a new instance of the deployment.
`void` | `setContentProviderRegistry(ContentProviderRegistry contentProviderRegistry)`
`void` | `setCoordinationConfigurator(CoordinationConfigurator coordinationConfigurator)`
`void` | `setPortalObjectContainer(PortalObjectContainer portalObjectContainer)`
`void` | `setPortalObjectEntityResolver(org.xml.sax.EntityResolver portalObjectEntityResolver)`

Methods inherited from class org.jboss.portal.server.deployment.jboss.AbstractDeploymentFactory
`acceptDir, create, destroy, getDeployer, getName, getSetupLocation, getSetupURL, isRegistrationControlledByService, registerFactory, setDeployer, setRegistrationControlledByService, setSetupLocation, start, stop, unregisterFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URL_PATTERN

    protected static final java.util.regex.Pattern URL_PATTERN

### setupURL

    protected java.net.URL setupURL

  .

### portalObjectContainer

    protected PortalObjectContainer portalObjectContainer

  .

### contentProviderRegistry

    protected ContentProviderRegistry contentProviderRegistry

  .

### portalObjectEntityResolver

    protected org.xml.sax.EntityResolver portalObjectEntityResolver

  .

### coordinationConfigurator

    protected CoordinationConfigurator coordinationConfigurator

  .

Constructor Detail

### ObjectDeploymentFactory

    public ObjectDeploymentFactory()

Method Detail

### acceptFile

    public boolean acceptFile(java.net.URL url)

### newInstance

    public Deployment newInstance(java.net.URL url,
                                  PortalWebApp pwa,
                                  javax.management.MBeanServer mbeanServer)
                           throws org.jboss.deployment.DeploymentException

  Description copied from interface: `DeploymentFactory`
  Create a new instance of the deployment.

  Parameters:
    `url` - the URL of the file to deploy
    `pwa` - the web application that contains the file to deploy or null if it does not exist
    `mbeanServer` - the JMX mbean server
  Returns:
    a deployment ready to be processed
  Throws:
    `org.jboss.deployment.DeploymentException` - if the deployment cannot be created

### getPortalObjectEntityResolver

    public org.xml.sax.EntityResolver getPortalObjectEntityResolver()

### setPortalObjectEntityResolver

    public void setPortalObjectEntityResolver(org.xml.sax.EntityResolver portalObjectEntityResolver)

### getPortalObjectContainer

    public PortalObjectContainer getPortalObjectContainer()

### setPortalObjectContainer

    public void setPortalObjectContainer(PortalObjectContainer portalObjectContainer)

### getContentProviderRegistry

    public ContentProviderRegistry getContentProviderRegistry()

### setContentProviderRegistry

    public void setContentProviderRegistry(ContentProviderRegistry contentProviderRegistry)

### getCoordinationConfigurator

    public CoordinationConfigurator getCoordinationConfigurator()

### setCoordinationConfigurator

    public void setCoordinationConfigurator(CoordinationConfigurator coordinationConfigurator)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD